# Kpi Dashboard Altair

Define KPI graphs using altair

Table of contents

- Configuration
  - Configure KPIs
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

## Configure KPIs

1. Access Dashboards > Configuration > KPI Dashboards > Configure KPI
2. Create a new kpi with widget altair

You need to define a function like:

    import pandas
    import altair

    class Kpi(models.Model):
        _inherit = 'kpi.kpi'

        def test_demo_altair(self):
            source = pandas.DataFrame(
                {
                    "a": ["A", "B", "C", "D", "E", "F", "G", "H", "I"],
                    "b": [28, 55, 43, 91, 81, 53, 19, 87, 52],
                }
            )
            chart = altair.Chart(source).mark_bar().encode(x="a", y="b")
            return {"altair": json.loads(chart.to_json())}

You can use code in a similar way, as pandas and altair are already defined when using code on an altair widget.

# Usage

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Creu Blanca

## Contributors

- Enric Tobella <etobella@creublanca.es>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/reporting-engine project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.